org.apache.http.client

## Interface RedirectHandler

- All Known Implementing Classes:
    DefaultRedirectHandler

  Deprecated.
  (4.1) use `RedirectStrategy`

      @Deprecated
      public interface RedirectHandler

  A handler for determining if an HTTP request should be redirected to a new location in response to an HTTP response received from the target server.

  Implementations of this interface must be thread-safe. Access to shared data must be synchronized as methods of this interface may be executed from multiple threads.

  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getLocationURI(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Determines the location request is expected to be redirected to given the response from the target server and the current request execution context.
    `boolean` | `isRedirectRequested(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Determines if a request should be redirected to a new location given the response from the target server.

- - ### Method Detail

    - #### isRedirectRequested

          boolean isRedirectRequested(org.apache.http.HttpResponse response,
                                    org.apache.http.protocol.HttpContext context)

      Deprecated.
      Determines if a request should be redirected to a new location given the response from the target server.
      Parameters:
        `response` - the response received from the target server
        `context` - the context for the request execution
      Returns:
        `true` if the request should be redirected, `false` otherwise

    - #### getLocationURI

          URI getLocationURI(org.apache.http.HttpResponse response,
                           org.apache.http.protocol.HttpContext context)
                             throws org.apache.http.ProtocolException

      Deprecated.
      Determines the location request is expected to be redirected to given the response from the target server and the current request execution context.
      Parameters:
        `response` - the response received from the target server
        `context` - the context for the request execution
      Returns:
        redirect URI
      Throws:
        `org.apache.http.ProtocolException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.